# generator-jd-react

A react boilerplate, with sass (ruby-sass), usemin (with sourcemap by default), browserify (with watchify & babelify) & brower-sync

## Structure

    - root
    |---- dist
    |       |---- assets
    |       |---- js
    |       |---- styles
    |       |---- app.js
    |       |---- *.html
    |
    |---- src
            |---- assets
            |---- app
            |       |---- components
            |       |       |---- *.js
            |       |       |---- app.scss
            |       |       |---- *.scss (watched & imported)
            |---- styles
            |       |---- app.scss
            |       |---- *.scss (watched & imported)
            |---- app.js
            |---- *.html
            
`app.js` is the main js file

## Non-node Dependencies

sass gem needs to be installed: http://sass-lang.com/install

> [Yeoman](http://yeoman.io) generator

## Getting Started

```bash
npm install -g yo
```

To install generator-jd-react from npm, run:

```bash
npm install -g generator-jd-react
```

To install generator-jd-react from inside the generator (pulled from git), run:

```bash
npm link
```

Finally, initiate the generator:

```bash
yo jd-react
```

## Usage

### `gulp`

copy assets, compile js, process usemin (with sourcemaps) & start browser-sync

### `gulp build-prod`

copy assets, compile & uglify js, process usemin (minify html, css & uglify js)


## License

MIT
